fop 2.3

## org.apache.fop.fonts.cff
Class CFFDataReader.Format3FDSelect

    java.lang.Object
      org.apache.fop.fonts.cff.CFFDataReader.FDSelect
          org.apache.fop.fonts.cff.CFFDataReader.Format3FDSelect

Enclosing class:
  CFFDataReader

    public class CFFDataReader.Format3FDSelect

extends CFFDataReader.FDSelect

Constructor Summary
`CFFDataReader.Format3FDSelect()`

Method Summary
`int` `getRangeCount()`
`java.util.Map<java.lang.Integer,java.lang.Integer>` `getRanges()`
`int` `getSentinelGID()`
`void` `setRangeCount(int rangeCount)`
`void` `setRanges(java.util.Map<java.lang.Integer,java.lang.Integer> ranges)`
`void` `setSentinelGID(int sentinelGID)`

Methods inherited from class org.apache.fop.fonts.cff.CFFDataReader.FDSelect
`getFormat, setFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFFDataReader.Format3FDSelect

    public CFFDataReader.Format3FDSelect()

Method Detail

### setRangeCount

    public void setRangeCount(int rangeCount)

### getRangeCount

    public int getRangeCount()

### setRanges

    public void setRanges(java.util.Map<java.lang.Integer,java.lang.Integer> ranges)

### getRanges

    public java.util.Map<java.lang.Integer,java.lang.Integer> getRanges()

### setSentinelGID

    public void setSentinelGID(int sentinelGID)

### getSentinelGID

    public int getSentinelGID()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.